{
  "private": true,
  "license": "MIT",
  "workspaces": [
    "packages/*"
  ],
  "type": "module",
  "packageManager": "yarn@4.5.1",
  "scripts": {
    "test": "NODE_ENV=test tsx --experimental-test-module-mocks --test '**/*.test.ts'",
    "build": "lerna run build --stream",
    "ncu": "ncu -u && lerna exec yarn ncu",
    "l:version": "lerna version --no-changelog --yes",
    "l:publish": "lerna publish from-git --yes",
    "l:release": "yarn test && yarn build && yarn l:version && yarn l:publish",
    "l:release-force": "yarn test && yarn build && yarn l:version --force-publish && yarn l:publish",
    "lint": "eslint --fix .",
    "lint-check": "eslint .",
    "pretty": "prettier --write --ignore-unknown .",
    "pretty-check": "prettier --check .",
    "prepare": "husky"
  },
  "devDependencies": {
    "@os-team/prettier-config": "1.2.8",
    "eslint": "^9.21.0",
    "eslint-config-os-team-node": "1.2.27",
    "husky": "^9.1.7",
    "lerna": "^8.2.1",
    "lint-staged": "^15.4.3",
    "prettier": "3.5.3",
    "rimraf": "^6.0.1",
    "tsx": "^4.19.3",
    "typescript": "^5.8.2"
  }
}
